import {HttpClient} from "@angular/common/http";
import {Injectable} from "@angular/core";
import {Observable} from "rxjs/Observable";
import {AppGlobal} from "../../../service/appHttpService";
import {CommonService} from "../../../service/common.service";

@Injectable()
export class LearnService{

    constructor(private http:HttpClient,private commonSer:CommonService){}

    getLearnTestList(data): Observable<any>{
       return this.http.post(AppGlobal.domain+'/wisdomgroup/modules/learnTest/getLearnTestList',this.commonSer.toFormData(data) );
    }

    startTest(data): Observable<any>{
        return this.http.post(AppGlobal.domain+'/wisdomgroup/modules/learnTest/startTest',this.commonSer.toFormData(data) )
    }
}